Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class ObjectNode

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.ObjectNode

All Implemented Interfaces:
  ContextObject

    public class ObjectNode

extends java.lang.Object
implements ContextObject

Version:
  $Revision: 8822 $
Author:
  Julien Viet

Field Summary
`protected static org.jboss.logging.Logger` | `log` .
`protected static boolean` | `trace` .

Constructor Summary
`ObjectNode()`
`ObjectNode(AbstractPortalObjectContainer.ContainerContext containerContext, PortalObjectId path, java.lang.String name)`

Method Summary
`RoleSecurityBinding` | `getBinding(java.lang.String roleName)`
`java.util.Set` | `getBindings()`
`java.util.Map` | `getChildren()`
`AbstractPortalObjectContainer.ContainerContext` | `getContext()`
`java.lang.Long` | `getKey()`
`java.lang.String` | `getName()`
`PortalObjectImpl` | `getObject()`
`ObjectNode` | `getParent()`
`PortalObjectId` | `getPath()`
`java.util.Map` | `getSecurityConstraints()`
`void` | `setBindings(java.util.Set bindings)`
`void` | `setChildren(java.util.Map children)`
`void` | `setContext(java.lang.Object context)`
`void` | `setKey(java.lang.Long key)`
`void` | `setName(java.lang.String name)`
`void` | `setObject(PortalObjectImpl object)`
`void` | `setParent(ObjectNode parent)`
`void` | `setPath(PortalObjectId path)`
`void` | `setSecurityConstraints(java.util.Map securityConstraints)`
`protected PortalObjectId` | `toChildPath(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

  .

### trace

    protected static final boolean trace

  .

Constructor Detail

### ObjectNode

    public ObjectNode()

### ObjectNode

    public ObjectNode(AbstractPortalObjectContainer.ContainerContext containerContext,
                      PortalObjectId path,
                      java.lang.String name)

Method Detail

### setContext

    public void setContext(java.lang.Object context)

  Specified by:
    `setContext` in interface `ContextObject`

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getObject

    public PortalObjectImpl getObject()

### setObject

    public void setObject(PortalObjectImpl object)

### getPath

    public PortalObjectId getPath()

### setPath

    public void setPath(PortalObjectId path)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getParent

    public ObjectNode getParent()

### setParent

    public void setParent(ObjectNode parent)

### getChildren

    public java.util.Map getChildren()

### setChildren

    public void setChildren(java.util.Map children)

### getContext

    public AbstractPortalObjectContainer.ContainerContext getContext()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toChildPath

    protected PortalObjectId toChildPath(java.lang.String name)

### getSecurityConstraints

    public java.util.Map getSecurityConstraints()

### setSecurityConstraints

    public void setSecurityConstraints(java.util.Map securityConstraints)

### setBindings

    public void setBindings(java.util.Set bindings)

### getBindings

    public java.util.Set getBindings()

### getBinding

    public RoleSecurityBinding getBinding(java.lang.String roleName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD